org.tmatesoft.svn.core.wc.admin

## Class SVNAdminEvent

- java.lang.Object
- - org.tmatesoft.svn.core.wc.admin.SVNAdminEvent

    public class SVNAdminEvent
    extends java.lang.Object

The SVNAdminEvent is a type of an event used to notify callers' handlers in several methods of SVNAdminClient.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

### Constructor Summary

Constructors
Constructor and Description
`SVNAdminEvent(long revision, long originalRevision, SVNAdminEventAction action, java.lang.String message)` Creates a new event.
`SVNAdminEvent(long revision, SVNAdminEventAction action, java.lang.String message)` Creates a new event.
`SVNAdminEvent(java.lang.String txnName, java.io.File txnDir, SVNAdminEventAction action)` Creates a new event.
`SVNAdminEvent(SVNAdminEventAction action)` Creates a new event.
`SVNAdminEvent(SVNAdminEventAction action, long shard)` Creates a new event to notify about a next shard being packed.
`SVNAdminEvent(SVNAdminEventAction action, java.lang.String message)` Creates a new event.
`SVNAdminEvent(SVNAdminEventAction action, java.lang.String path, java.lang.String message)` Creates a new event to notify about a next path being changed withing the revision being currently loaded.
`SVNAdminEvent(SVNAdminEventAction action, SVNLock lock, SVNErrorMessage error, java.lang.String message)` Creates a new event.

### Method Summary

Methods
`SVNAdminEventAction` `getAction()` Returns the type of an action this event is fired for.
`int` `getDroppedNodesCount()` Returns the total number of nodes dropped during dumpfiltering.
`long` `getDroppedRevisionsCount()` Returns the total number of revisions dropped during dumpfiltering.
`SVNErrorMessage` `getError()` Returns the error message describing the error occurred while performing an operation.
`SVNLock` `getLock()` Returns the lock information.
`java.lang.String` `getMessage()` Returns an event description message.
`long` `getOriginalRevision()` Returns the original revision from which a `new one` is loaded.
`java.lang.String` `getPath()` Returns an absolute repository path being changed within the current revision load iteration.
`long` `getRevision()` Returns a revision.
`long` `getShard()` Returns the number of the shard packed.
`java.io.File` `getTxnDir()` Returns a transaction directory Relevant for both `SVNAdminClient.doListTransactions()` and `SVNAdminClient.doRemoveTransactions()` operations.
`java.lang.String` `getTxnName()` Returns a transaction name.
`void` `setDroppedNodesCount(int droppedNodesCount)` Sets the total number of nodes dropped during dumpfiltering.
`void` `setDroppedRevisionsCount(long droppedRevisionsCount)` Sets the total number of revisions dropped during dumpfiltering.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SVNAdminEvent

    public SVNAdminEvent(long revision,
                 long originalRevision,
                 SVNAdminEventAction action,
                 java.lang.String message)

Creates a new event.

Parameters:
  `revision` - a new committed revision
  `originalRevision` - the original revision
  `action` - an event action
  `message` - event description message

#### SVNAdminEvent

    public SVNAdminEvent(SVNAdminEventAction action,
                 java.lang.String path,
                 java.lang.String message)

Creates a new event to notify about a next path being changed withing the revision being currently loaded.

Parameters:
  `action` - a path change action
  `path` - repository path being changed
  `message` -

#### SVNAdminEvent

    public SVNAdminEvent(SVNAdminEventAction action,
                 long shard)

Creates a new event to notify about a next shard being packed.

Parameters:
  `action` - pack start\end action
  `shard` - number of the shard being packed
Since:
  1.3
See Also:
  `SVNAdminClient.doPack(File)`

#### SVNAdminEvent

    public SVNAdminEvent(long revision,
                 SVNAdminEventAction action,
                 java.lang.String message)

Creates a new event.

Parameters:
  `revision` - a revision number
  `action` - an event action
  `message` - an event description message

#### SVNAdminEvent

    public SVNAdminEvent(java.lang.String txnName,
                 java.io.File txnDir,
                 SVNAdminEventAction action)

Creates a new event.

Parameters:
  `txnName` - a transaction name
  `txnDir` - a transaction directory location
  `action` - an event action

#### SVNAdminEvent

    public SVNAdminEvent(SVNAdminEventAction action,
                 SVNLock lock,
                 SVNErrorMessage error,
                 java.lang.String message)

Creates a new event.

Parameters:
  `action` - an event action
  `lock` - lock info
  `error` - an error message (if an error occurred)
  `message` - an event description message
Since:
  1.2.0

#### SVNAdminEvent

    public SVNAdminEvent(SVNAdminEventAction action,
                 java.lang.String message)

Creates a new event.

Parameters:
  `action` - an event action
  `message` - an event description message
Since:
  1.2.0

#### SVNAdminEvent

    public SVNAdminEvent(SVNAdminEventAction action)

Creates a new event.

Parameters:
  `action` - an event action
Since:
  1.2.0

### Method Detail

#### getAction

    public SVNAdminEventAction getAction()

Returns the type of an action this event is fired for.

Returns:
  event action

#### getMessage

    public java.lang.String getMessage()

Returns an event description message. If no message was provided, returns just an empty string.

Returns:
  event description message
Since:
  1.2.0

#### getOriginalRevision

    public long getOriginalRevision()

Returns the original revision from which a `new one` is loaded.

Returns:
  an original revision number met in a dumpfile

#### getRevision

    public long getRevision()

Returns a revision.

For `dump` operations it means a next dumped revision. For `load` operations it means a new committed revision.

Returns:
  a revision number

#### getTxnDir

    public java.io.File getTxnDir()

Returns a transaction directory

Relevant for both `SVNAdminClient.doListTransactions()` and `SVNAdminClient.doRemoveTransactions()` operations.

Returns:
  txn directory

#### getTxnName

    public java.lang.String getTxnName()

Returns a transaction name.

Relevant for both `SVNAdminClient.doListTransactions()` and `SVNAdminClient.doRemoveTransactions()` operations.

Returns:
  txn name

#### getPath

    public java.lang.String getPath()

Returns an absolute repository path being changed within the current revision load iteration.

Returns:
  repository path

#### getLock

    public SVNLock getLock()

Returns the lock information.

Returns:
  lock info
Since:
  1.2.0

#### getError

    public SVNErrorMessage getError()

Returns the error message describing the error occurred while performing an operation.

Returns:
  error message
Since:
  1.2.0

#### getDroppedRevisionsCount

    public long getDroppedRevisionsCount()

Returns the total number of revisions dropped during dumpfiltering.

Returns:
  number of dropped revisions
Since:
  1.2.0

#### getDroppedNodesCount

    public int getDroppedNodesCount()

Returns the total number of nodes dropped during dumpfiltering.

Returns:
  number of dropped nodes
Since:
  1.2.0

#### setDroppedRevisionsCount

    public void setDroppedRevisionsCount(long droppedRevisionsCount)

Sets the total number of revisions dropped during dumpfiltering.

This method is not intended for API users.

Parameters:
  `droppedRevisionsCount` - number of dropped revisions
Since:
  1.2.0

#### setDroppedNodesCount

    public void setDroppedNodesCount(int droppedNodesCount)

Sets the total number of nodes dropped during dumpfiltering.

This method is not intended for API users.

Parameters:
  `droppedNodesCount` - number of dropped nodes
Since:
  1.2.0

#### getShard

    public long getShard()

Returns the number of the shard packed.

Returns:
  shard number
Since:
  1.3